library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity FileOutput_v1_0 is
	generic (
		-- Users to add parameters here
		OUT_FILE : string := "/tmp/testout.bin";
		-- User parameters ends
		-- Do not modify the parameters beyond this line


		-- Parameters of Axi Slave Bus Interface DATA_IN
		C_DATA_IN_TDATA_WIDTH	: integer	:= 32
	);
	port (
		-- Users to add ports here

		-- User ports ends
		-- Do not modify the ports beyond this line


		-- Ports of Axi Slave Bus Interface DATA_IN
		data_in_aclk	: in std_logic;
		data_in_aresetn	: in std_logic;
		data_in_tready	: out std_logic;
		data_in_tdata	: in std_logic_vector(C_DATA_IN_TDATA_WIDTH-1 downto 0);
		data_in_tstrb	: in std_logic_vector((C_DATA_IN_TDATA_WIDTH/8)-1 downto 0);
		data_in_tlast	: in std_logic;
		data_in_tvalid	: in std_logic
	);
end FileOutput_v1_0;

architecture arch_imp of FileOutput_v1_0 is

	-- component declaration
	component FileOutput_v1_0_DATA_IN is
		generic (
		OUT_FILE : string := "/tmp/testout.bin";
		C_S_AXIS_TDATA_WIDTH	: integer	:= 32
		);
		port (
		S_AXIS_ACLK	: in std_logic;
		S_AXIS_ARESETN	: in std_logic;
		S_AXIS_TREADY	: out std_logic;
		S_AXIS_TDATA	: in std_logic_vector(C_S_AXIS_TDATA_WIDTH-1 downto 0);
		S_AXIS_TSTRB	: in std_logic_vector((C_S_AXIS_TDATA_WIDTH/8)-1 downto 0);
		S_AXIS_TLAST	: in std_logic;
		S_AXIS_TVALID	: in std_logic
		);
	end component FileOutput_v1_0_DATA_IN;

begin

-- Instantiation of Axi Bus Interface DATA_IN
FileOutput_v1_0_DATA_IN_inst : FileOutput_v1_0_DATA_IN
	generic map (
	  OUT_FILE => OUT_FILE,
		C_S_AXIS_TDATA_WIDTH	=> C_DATA_IN_TDATA_WIDTH
	)
	port map (
		S_AXIS_ACLK	=> data_in_aclk,
		S_AXIS_ARESETN	=> data_in_aresetn,
		S_AXIS_TREADY	=> data_in_tready,
		S_AXIS_TDATA	=> data_in_tdata,
		S_AXIS_TSTRB	=> data_in_tstrb,
		S_AXIS_TLAST	=> data_in_tlast,
		S_AXIS_TVALID	=> data_in_tvalid
	);

	-- Add user logic here

	-- User logic ends

end arch_imp;
