----------------------------------------------------------------------------------
-- Company:
-- Engineer:
--
-- Create Date: 06/12/2018 02:19:02 PM
-- Design Name:
-- Module Name: LISCCalculatorSim - Behavioral
-- Project Name:
-- Target Devices:
-- Tool Versions:
-- Description:
--
-- Dependencies:
--
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
--
----------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
use work.all;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity LISCCalculatorSim is
--  Port ( );
end LISCCalculatorSim;

architecture Behavioral of LISCCalculatorSim is
  component LISCCalculator
  generic (
    C_OUTPUT_WIDTH : natural := 32;
    C_INPUT_WIDTH  : natural := 16
  );
  port (
    clk          : in  STD_LOGIC;
    ce          : in  STD_LOGIC;
    rst          : in  STD_LOGIC;
    input_number : in  STD_LOGIC_VECTOR (C_INPUT_WIDTH-1 downto 0);
    start        : in  STD_LOGIC;
    output_lisc  : out STD_LOGIC_VECTOR (C_OUTPUT_WIDTH-1 downto 0);
    output_valid : out STD_LOGIC_VECTOR (C_OUTPUT_WIDTH/8-1 downto 0);
    done         : out STD_LOGIC
  );
  end component LISCCalculator;
  constant C_INPUT_WIDTH : natural := 16;
  constant C_OUTPUT_WIDTH : natural := 32;

  signal clk          : STD_LOGIC := '0';
  signal rst          : STD_LOGIC := '1';
  signal input_number : STD_LOGIC_VECTOR (C_INPUT_WIDTH-1 downto 0);
  signal start        : STD_LOGIC := '0';
  signal output_lisc  : STD_LOGIC_VECTOR (C_OUTPUT_WIDTH-1 downto 0);
  signal output_valid : STD_LOGIC_VECTOR (C_OUTPUT_WIDTH/8-1 downto 0);
  signal done         : STD_LOGIC;
begin

  LISCCalculator_i : LISCCalculator
  generic map (
    C_OUTPUT_WIDTH => C_OUTPUT_WIDTH,
    C_INPUT_WIDTH  => C_INPUT_WIDTH
  )
  port map (
    clk          => clk,
    rst          => rst,
    ce           => '1',
    input_number => input_number,
    start        => start,
    output_lisc  => output_lisc,
    output_valid => output_valid,
    done         => done
  );
  input_number <= std_logic_vector(to_unsigned(1432, input_number'length));
  clk <= not clk after 10 ns;
  rst <= '0' after 300 ns;
  t : process
  begin
    start <= '1' after 353 ns;
    wait until start = '1';
    start <= '0' after 20 ns;
    wait until done = '1';
    wait;
  end process; -- end t

end Behavioral;
