library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity LZ4CoreTest_wrapper is
  port (
    clock_rtl : in STD_LOGIC;
    reset_rtl : in STD_LOGIC;
    reset_rtl_0 : in STD_LOGIC
  );
end LZ4CoreTest_wrapper;

architecture STRUCTURE of LZ4CoreTest_wrapper is
  component FileOutput_0 is
  port (
    data_in_tdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    data_in_tstrb : in STD_LOGIC_VECTOR ( 3 downto 0 );
    data_in_tlast : in STD_LOGIC;
    data_in_tvalid : in STD_LOGIC;
    data_in_tready : out STD_LOGIC;
    data_in_aclk : in STD_LOGIC;
    data_in_aresetn : in STD_LOGIC
  );
  end component FileOutput_0;
  component FileInput_0 is
  port (
    file_out_tdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    file_out_tstrb : out STD_LOGIC_VECTOR ( 3 downto 0 );
    file_out_tlast : out STD_LOGIC;
    file_out_tvalid : out STD_LOGIC;
    file_out_tready : in STD_LOGIC;
    file_out_aclk : in STD_LOGIC;
    file_out_aresetn : in STD_LOGIC
  );
  end component FileInput_0;
  component clk_wiz is
  port (
    reset : in STD_LOGIC;
    clk_in1 : in STD_LOGIC;
    clk_out1 : out STD_LOGIC;
    locked : out STD_LOGIC
  );
  end component clk_wiz;
  component rst_clk_wiz_100M is
  port (
    slowest_sync_clk : in STD_LOGIC;
    ext_reset_in : in STD_LOGIC;
    aux_reset_in : in STD_LOGIC;
    mb_debug_sys_rst : in STD_LOGIC;
    dcm_locked : in STD_LOGIC;
    mb_reset : out STD_LOGIC;
    bus_struct_reset : out STD_LOGIC_VECTOR ( 0 to 0 );
    peripheral_reset : out STD_LOGIC_VECTOR ( 0 to 0 );
    interconnect_aresetn : out STD_LOGIC_VECTOR ( 0 to 0 );
    peripheral_aresetn : out STD_LOGIC_VECTOR ( 0 to 0 )
  );
  end component rst_clk_wiz_100M;
  component LZ4Compressor_v0_1 is
generic (
          -- Users to add parameters here
  
          -- User parameters ends
          -- Do not modify the parameters beyond this line
  
  
          -- Parameters of Axi Slave Bus Interface IN_DATA_AXI
          C_IN_DATA_AXI_TDATA_WIDTH    : integer    := 32;
  
          -- Parameters of Axi Master Bus Interface OUT_DATA_AXI
          C_OUT_DATA_AXI_TDATA_WIDTH    : integer    := 32;
          C_OUT_DATA_AXI_START_COUNT    : integer    := 32;
  
          -- Parameters of Axi Slave Bus Interface IN_CTRL_AXI
          C_IN_CTRL_AXI_DATA_WIDTH    : integer    := 32;
          C_IN_CTRL_AXI_ADDR_WIDTH    : integer    := 4
      );
      port (
          -- Users to add ports here
  
          -- User ports ends
          -- Do not modify the ports beyond this line
  
  
          -- Ports of Axi Slave Bus Interface IN_DATA_AXI
          in_data_axi_aclk    : in std_logic;
          in_data_axi_aresetn    : in std_logic;
          in_data_axi_tready    : out std_logic;
          in_data_axi_tdata    : in std_logic_vector(C_IN_DATA_AXI_TDATA_WIDTH-1 downto 0);
          in_data_axi_tstrb    : in std_logic_vector((C_IN_DATA_AXI_TDATA_WIDTH/8)-1 downto 0);
          in_data_axi_tlast    : in std_logic;
          in_data_axi_tvalid    : in std_logic;
  
          -- Ports of Axi Master Bus Interface OUT_DATA_AXI
          out_data_axi_aclk    : in std_logic;
          out_data_axi_aresetn    : in std_logic;
          out_data_axi_tvalid    : out std_logic;
          out_data_axi_tdata    : out std_logic_vector(C_OUT_DATA_AXI_TDATA_WIDTH-1 downto 0);
          out_data_axi_tstrb    : out std_logic_vector((C_OUT_DATA_AXI_TDATA_WIDTH/8)-1 downto 0);
          out_data_axi_tlast    : out std_logic;
          out_data_axi_tready    : in std_logic;
  
          -- Ports of Axi Slave Bus Interface IN_CTRL_AXI
          in_ctrl_axi_aclk    : in std_logic;
          in_ctrl_axi_aresetn    : in std_logic;
          in_ctrl_axi_awaddr    : in std_logic_vector(C_IN_CTRL_AXI_ADDR_WIDTH-1 downto 0);
          in_ctrl_axi_awprot    : in std_logic_vector(2 downto 0);
          in_ctrl_axi_awvalid    : in std_logic;
          in_ctrl_axi_awready    : out std_logic;
          in_ctrl_axi_wdata    : in std_logic_vector(C_IN_CTRL_AXI_DATA_WIDTH-1 downto 0);
          in_ctrl_axi_wstrb    : in std_logic_vector((C_IN_CTRL_AXI_DATA_WIDTH/8)-1 downto 0);
          in_ctrl_axi_wvalid    : in std_logic;
          in_ctrl_axi_wready    : out std_logic;
          in_ctrl_axi_bresp    : out std_logic_vector(1 downto 0);
          in_ctrl_axi_bvalid    : out std_logic;
          in_ctrl_axi_bready    : in std_logic;
          in_ctrl_axi_araddr    : in std_logic_vector(C_IN_CTRL_AXI_ADDR_WIDTH-1 downto 0);
          in_ctrl_axi_arprot    : in std_logic_vector(2 downto 0);
          in_ctrl_axi_arvalid    : in std_logic;
          in_ctrl_axi_arready    : out std_logic;
          in_ctrl_axi_rdata    : out std_logic_vector(C_IN_CTRL_AXI_DATA_WIDTH-1 downto 0);
          in_ctrl_axi_rresp    : out std_logic_vector(1 downto 0);
          in_ctrl_axi_rvalid    : out std_logic;
          in_ctrl_axi_rready    : in std_logic
      );
  end component LZ4Compressor_v0_1;
  signal FileInput_0_FILE_OUT_TDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal FileInput_0_FILE_OUT_TLAST : STD_LOGIC;
  signal FileInput_0_FILE_OUT_TREADY : STD_LOGIC;
  signal FileInput_0_FILE_OUT_TSTRB : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal FileInput_0_FILE_OUT_TVALID : STD_LOGIC;
  signal LZ4Compressor_0_OUT_DATA_AXI_TDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal LZ4Compressor_0_OUT_DATA_AXI_TLAST : STD_LOGIC;
  signal LZ4Compressor_0_OUT_DATA_AXI_TREADY : STD_LOGIC;
  signal LZ4Compressor_0_OUT_DATA_AXI_TSTRB : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal LZ4Compressor_0_OUT_DATA_AXI_TVALID : STD_LOGIC;
  signal clk_wiz_clk_out1 : STD_LOGIC;
  signal clk_wiz_locked : STD_LOGIC;
  signal clock_rtl_1 : STD_LOGIC;
  signal reset_rtl_0_1 : STD_LOGIC;
  signal reset_rtl_1 : STD_LOGIC;
  signal rst_clk_wiz_100M_peripheral_aresetn : STD_LOGIC_VECTOR ( 0 to 0 );
  signal NLW_LZ4Compressor_0_in_ctrl_axi_arready_UNCONNECTED : STD_LOGIC;
  signal NLW_LZ4Compressor_0_in_ctrl_axi_awready_UNCONNECTED : STD_LOGIC;
  signal NLW_LZ4Compressor_0_in_ctrl_axi_bvalid_UNCONNECTED : STD_LOGIC;
  signal NLW_LZ4Compressor_0_in_ctrl_axi_rvalid_UNCONNECTED : STD_LOGIC;
  signal NLW_LZ4Compressor_0_in_ctrl_axi_wready_UNCONNECTED : STD_LOGIC;
  signal NLW_LZ4Compressor_0_in_ctrl_axi_bresp_UNCONNECTED : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal NLW_LZ4Compressor_0_in_ctrl_axi_rdata_UNCONNECTED : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal NLW_LZ4Compressor_0_in_ctrl_axi_rresp_UNCONNECTED : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal NLW_rst_clk_wiz_100M_mb_reset_UNCONNECTED : STD_LOGIC;
  signal NLW_rst_clk_wiz_100M_bus_struct_reset_UNCONNECTED : STD_LOGIC_VECTOR ( 0 to 0 );
  signal NLW_rst_clk_wiz_100M_interconnect_aresetn_UNCONNECTED : STD_LOGIC_VECTOR ( 0 to 0 );
  signal NLW_rst_clk_wiz_100M_peripheral_reset_UNCONNECTED : STD_LOGIC_VECTOR ( 0 to 0 );
begin
  clock_rtl_1 <= clock_rtl;
  reset_rtl_0_1 <= reset_rtl_0;
  reset_rtl_1 <= reset_rtl;
FileInput_0_i: component FileInput_0
     port map (
      file_out_aclk => clk_wiz_clk_out1,
      file_out_aresetn => rst_clk_wiz_100M_peripheral_aresetn(0),
      file_out_tdata(31 downto 0) => FileInput_0_FILE_OUT_TDATA(31 downto 0),
      file_out_tlast => FileInput_0_FILE_OUT_TLAST,
      file_out_tready => FileInput_0_FILE_OUT_TREADY,
      file_out_tstrb(3 downto 0) => FileInput_0_FILE_OUT_TSTRB(3 downto 0),
      file_out_tvalid => FileInput_0_FILE_OUT_TVALID
    );
FileOutput_0_i: component FileOutput_0
     port map (
      data_in_aclk => clk_wiz_clk_out1,
      data_in_aresetn => rst_clk_wiz_100M_peripheral_aresetn(0),
      data_in_tdata(31 downto 0) => LZ4Compressor_0_OUT_DATA_AXI_TDATA(31 downto 0),
      data_in_tlast => LZ4Compressor_0_OUT_DATA_AXI_TLAST,
      data_in_tready => LZ4Compressor_0_OUT_DATA_AXI_TREADY,
      data_in_tstrb(3 downto 0) => LZ4Compressor_0_OUT_DATA_AXI_TSTRB(3 downto 0),
      data_in_tvalid => LZ4Compressor_0_OUT_DATA_AXI_TVALID
    );
LZ4Compressor_0_i: component LZ4Compressor_v0_1
     port map (
      in_ctrl_axi_aclk => clk_wiz_clk_out1,
      in_ctrl_axi_araddr(3 downto 0) => B"0000",
      in_ctrl_axi_aresetn => rst_clk_wiz_100M_peripheral_aresetn(0),
      in_ctrl_axi_arprot(2 downto 0) => B"000",
      in_ctrl_axi_arready => NLW_LZ4Compressor_0_in_ctrl_axi_arready_UNCONNECTED,
      in_ctrl_axi_arvalid => '0',
      in_ctrl_axi_awaddr(3 downto 0) => B"0000",
      in_ctrl_axi_awprot(2 downto 0) => B"000",
      in_ctrl_axi_awready => NLW_LZ4Compressor_0_in_ctrl_axi_awready_UNCONNECTED,
      in_ctrl_axi_awvalid => '0',
      in_ctrl_axi_bready => '0',
      in_ctrl_axi_bresp(1 downto 0) => NLW_LZ4Compressor_0_in_ctrl_axi_bresp_UNCONNECTED(1 downto 0),
      in_ctrl_axi_bvalid => NLW_LZ4Compressor_0_in_ctrl_axi_bvalid_UNCONNECTED,
      in_ctrl_axi_rdata(31 downto 0) => NLW_LZ4Compressor_0_in_ctrl_axi_rdata_UNCONNECTED(31 downto 0),
      in_ctrl_axi_rready => '0',
      in_ctrl_axi_rresp(1 downto 0) => NLW_LZ4Compressor_0_in_ctrl_axi_rresp_UNCONNECTED(1 downto 0),
      in_ctrl_axi_rvalid => NLW_LZ4Compressor_0_in_ctrl_axi_rvalid_UNCONNECTED,
      in_ctrl_axi_wdata(31 downto 0) => B"00000000000000000000000000000000",
      in_ctrl_axi_wready => NLW_LZ4Compressor_0_in_ctrl_axi_wready_UNCONNECTED,
      in_ctrl_axi_wstrb(3 downto 0) => B"0000",
      in_ctrl_axi_wvalid => '0',
      in_data_axi_aclk => clk_wiz_clk_out1,
      in_data_axi_aresetn => rst_clk_wiz_100M_peripheral_aresetn(0),
      in_data_axi_tdata(31 downto 0) => FileInput_0_FILE_OUT_TDATA(31 downto 0),
      in_data_axi_tlast => FileInput_0_FILE_OUT_TLAST,
      in_data_axi_tready => FileInput_0_FILE_OUT_TREADY,
      in_data_axi_tstrb(3 downto 0) => FileInput_0_FILE_OUT_TSTRB(3 downto 0),
      in_data_axi_tvalid => FileInput_0_FILE_OUT_TVALID,
      out_data_axi_aclk => clk_wiz_clk_out1,
      out_data_axi_aresetn => rst_clk_wiz_100M_peripheral_aresetn(0),
      out_data_axi_tdata(31 downto 0) => LZ4Compressor_0_OUT_DATA_AXI_TDATA(31 downto 0),
      out_data_axi_tlast => LZ4Compressor_0_OUT_DATA_AXI_TLAST,
      out_data_axi_tready => LZ4Compressor_0_OUT_DATA_AXI_TREADY,
      out_data_axi_tstrb(3 downto 0) => LZ4Compressor_0_OUT_DATA_AXI_TSTRB(3 downto 0),
      out_data_axi_tvalid => LZ4Compressor_0_OUT_DATA_AXI_TVALID
    );
clk_wiz_i: component clk_wiz
     port map (
      clk_in1 => clock_rtl_1,
      clk_out1 => clk_wiz_clk_out1,
      locked => clk_wiz_locked,
      reset => reset_rtl_1
    );
rst_clk_wiz_100M_i: component rst_clk_wiz_100M
     port map (
      aux_reset_in => '1',
      bus_struct_reset(0) => NLW_rst_clk_wiz_100M_bus_struct_reset_UNCONNECTED(0),
      dcm_locked => clk_wiz_locked,
      ext_reset_in => reset_rtl_0_1,
      interconnect_aresetn(0) => NLW_rst_clk_wiz_100M_interconnect_aresetn_UNCONNECTED(0),
      mb_debug_sys_rst => '0',
      mb_reset => NLW_rst_clk_wiz_100M_mb_reset_UNCONNECTED,
      peripheral_aresetn(0) => rst_clk_wiz_100M_peripheral_aresetn(0),
      peripheral_reset(0) => NLW_rst_clk_wiz_100M_peripheral_reset_UNCONNECTED(0),
      slowest_sync_clk => clk_wiz_clk_out1
    );
end STRUCTURE;
