-- (c) Copyright 1995-2018 Xilinx, Inc. All rights reserved.
-- 
-- This file contains confidential and proprietary information
-- of Xilinx, Inc. and is protected under U.S. and
-- international copyright and other intellectual property
-- laws.
-- 
-- DISCLAIMER
-- This disclaimer is not a license and does not grant any
-- rights to the materials distributed herewith. Except as
-- otherwise provided in a valid license issued to you by
-- Xilinx, and to the maximum extent permitted by applicable
-- law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
-- WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
-- AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
-- BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
-- INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
-- (2) Xilinx shall not be liable (whether in contract or tort,
-- including negligence, or under any other theory of
-- liability) for any loss or damage of any kind or nature
-- related to, arising under or in connection with these
-- materials, including for any direct, or any indirect,
-- special, incidental, or consequential loss or damage
-- (including loss of data, profits, goodwill, or any type of
-- loss or damage suffered as a result of any action brought
-- by a third party) even if such damage or loss was
-- reasonably foreseeable or Xilinx had been advised of the
-- possibility of the same.
-- 
-- CRITICAL APPLICATIONS
-- Xilinx products are not designed or intended to be fail-
-- safe, or for use in any application requiring fail-safe
-- performance, such as life-support or safety devices or
-- systems, Class III medical devices, nuclear facilities,
-- applications related to the deployment of airbags, or any
-- other applications that could lead to death, personal
-- injury, or severe property or environmental damage
-- (individually and collectively, "Critical
-- Applications"). Customer assumes the sole risk and
-- liability of any use of Xilinx products in Critical
-- Applications, subject only to applicable laws and
-- regulations governing limitations on product liability.
-- 
-- THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
-- PART OF THIS FILE AT ALL TIMES.
-- 
-- DO NOT MODIFY THIS FILE.

-- IP VLNV: opti.dcw.cz:opto:LZ4MatcherUnit:1.0
-- IP Revision: 1

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;

ENTITY LZ4MatcherUnitWrapper IS
   GENERIC (
    hashNators : INTEGER;
    hashNatorsOffset : INTEGER;
    dataWidth : INTEGER;
    addrWidth : INTEGER;
    hashMemAddrWidth : INTEGER
  );
  PORT (
    clk : IN STD_LOGIC;
    rst : IN STD_LOGIC;
    ce : IN STD_LOGIC;
    data : IN STD_LOGIC_VECTOR(87 DOWNTO 0);
    addr : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    match : OUT STD_LOGIC;
    match_addr : OUT STD_LOGIC_VECTOR(15 DOWNTO 0)
  );
END LZ4MatcherUnitWrapper;

ARCHITECTURE LZ4MatcherUnitWrapper_arch OF LZ4MatcherUnitWrapper IS
  ATTRIBUTE DowngradeIPIdentifiedWarnings : STRING;
  ATTRIBUTE DowngradeIPIdentifiedWarnings OF LZ4MatcherUnitWrapper_arch: ARCHITECTURE IS "yes";
  COMPONENT Matcher IS
    GENERIC (
      hashNators : INTEGER;
      hashNatorsOffset : INTEGER;
      dataWidth : INTEGER;
      addrWidth : INTEGER;
      hashMemAddrWidth : INTEGER
    );
    PORT (
      clk : IN STD_LOGIC;
      rst : IN STD_LOGIC;
      ce : IN STD_LOGIC;
      data : IN STD_LOGIC_VECTOR(87 DOWNTO 0);
      addr : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      match : OUT STD_LOGIC;
      match_addr : OUT STD_LOGIC_VECTOR(15 DOWNTO 0)
    );
  END COMPONENT Matcher;
  ATTRIBUTE X_CORE_INFO : STRING;
  ATTRIBUTE X_CORE_INFO OF LZ4MatcherUnitWrapper_arch: ARCHITECTURE IS "Matcher,Vivado 2017.2";
  ATTRIBUTE CHECK_LICENSE_TYPE : STRING;
  ATTRIBUTE CHECK_LICENSE_TYPE OF LZ4MatcherUnitWrapper_arch : ARCHITECTURE IS "LZ4MatcherUnit,Matcher,{}";
  ATTRIBUTE X_INTERFACE_INFO : STRING;
  ATTRIBUTE X_INTERFACE_INFO OF clk: SIGNAL IS "xilinx.com:signal:clock:1.0 clk CLK";
  ATTRIBUTE X_INTERFACE_INFO OF rst: SIGNAL IS "xilinx.com:signal:reset:1.0 rst RST";
BEGIN
  U0 : Matcher
    GENERIC MAP (
      hashNators => hashNators,
      hashNatorsOffset => hashNatorsOffset,
      dataWidth => dataWidth,
      addrWidth => addrWidth,
      hashMemAddrWidth => hashMemAddrWidth
    )
    PORT MAP (
      clk => clk,
      rst => rst,
      ce => ce,
      data => data,
      addr => addr,
      match => match,
      match_addr => match_addr
    );
END LZ4MatcherUnitWrapper_arch;
