library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity FileInput_v1_0 is
	generic (
		-- Users to add parameters here
		IN_FILE : string := "/tmp/test.bin";
		IN_MAX_FILE_SIZE : natural := 100000;
		-- User parameters ends
		-- Do not modify the parameters beyond this line


		-- Parameters of Axi Master Bus Interface FILE_OUT
		C_FILE_OUT_TDATA_WIDTH	: integer	:= 32;
		C_FILE_OUT_START_COUNT	: integer	:= 32
	);
	port (
		-- Users to add ports here

		-- User ports ends
		-- Do not modify the ports beyond this line


		-- Ports of Axi Master Bus Interface FILE_OUT
		file_out_aclk	: in std_logic;
		file_out_aresetn	: in std_logic;
		file_out_tvalid	: out std_logic;
		file_out_tdata	: out std_logic_vector(C_FILE_OUT_TDATA_WIDTH-1 downto 0);
		file_out_tstrb	: out std_logic_vector((C_FILE_OUT_TDATA_WIDTH/8)-1 downto 0);
		file_out_tlast	: out std_logic;
		file_out_tready	: in std_logic
	);
end FileInput_v1_0;

architecture arch_imp of FileInput_v1_0 is

	-- component declaration
	component FileInput_v1_0_FILE_OUT is
		generic (
		IN_FILE : string := "/tmp/test.bin";
		IN_MAX_FILE_SIZE : natural := 100000;
		C_M_AXIS_TDATA_WIDTH	: integer	:= 32;
		C_M_START_COUNT	: integer	:= 32
		);
		port (
		M_AXIS_ACLK	: in std_logic;
		M_AXIS_ARESETN	: in std_logic;
		M_AXIS_TVALID	: out std_logic;
		M_AXIS_TDATA	: out std_logic_vector(C_M_AXIS_TDATA_WIDTH-1 downto 0);
		M_AXIS_TSTRB	: out std_logic_vector((C_M_AXIS_TDATA_WIDTH/8)-1 downto 0);
		M_AXIS_TLAST	: out std_logic;
		M_AXIS_TREADY	: in std_logic
		);
	end component FileInput_v1_0_FILE_OUT;

begin

-- Instantiation of Axi Bus Interface FILE_OUT
FileInput_v1_0_FILE_OUT_inst : FileInput_v1_0_FILE_OUT
	generic map (
		IN_FILE => IN_FILE,
		IN_MAX_FILE_SIZE => IN_MAX_FILE_SIZE,
		C_M_AXIS_TDATA_WIDTH	=> C_FILE_OUT_TDATA_WIDTH,
		C_M_START_COUNT	=> C_FILE_OUT_START_COUNT
	)
	port map (
		M_AXIS_ACLK	=> file_out_aclk,
		M_AXIS_ARESETN	=> file_out_aresetn,
		M_AXIS_TVALID	=> file_out_tvalid,
		M_AXIS_TDATA	=> file_out_tdata,
		M_AXIS_TSTRB	=> file_out_tstrb,
		M_AXIS_TLAST	=> file_out_tlast,
		M_AXIS_TREADY	=> file_out_tready
	);

	-- Add user logic here

	-- User logic ends

end arch_imp;
