----------------------------------------------------------------------------------
-- Company:
-- Engineer:
--
-- Create Date: 06/04/2018 10:48:37 AM
-- Design Name:
-- Module Name: FileInput_v1_0_Sim - Behavioral
-- Project Name:
-- Target Devices:
-- Tool Versions:
-- Description:
--
-- Dependencies:
--
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
--
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity FileInput_v1_0_Sim is
--  Port ( );
end FileInput_v1_0_Sim;

architecture Behavioral of FileInput_v1_0_Sim is
  constant C_FILE_OUT_TDATA_WIDTH : integer := 32;
  constant C_FILE_OUT_START_COUNT : integer := 32;

  component FileInput_v1_0
  generic (
    IN_FILE : string := "/tmp/test.bin";
    IN_MAX_FILE_SIZE : natural := 100000;
    C_FILE_OUT_TDATA_WIDTH : integer := 32;
    C_FILE_OUT_START_COUNT : integer := 32
  );
  port (
    file_out_aclk    : in  std_logic;
    file_out_aresetn : in  std_logic;
    file_out_tvalid  : out std_logic;
    file_out_tdata   : out std_logic_vector(C_FILE_OUT_TDATA_WIDTH-1 downto 0);
    file_out_tstrb   : out std_logic_vector((C_FILE_OUT_TDATA_WIDTH/8)-1 downto 0);
    file_out_tlast   : out std_logic;
    file_out_tready  : in  std_logic
  );
  end component FileInput_v1_0;

  signal file_out_aclk    : std_logic := '0';
  signal file_out_aresetn : std_logic := '0';
  signal file_out_tvalid  : std_logic;
  signal file_out_tdata   : std_logic_vector(C_FILE_OUT_TDATA_WIDTH-1 downto 0);
  signal file_out_tstrb   : std_logic_vector((C_FILE_OUT_TDATA_WIDTH/8)-1 downto 0);
  signal file_out_tlast   : std_logic;
  signal file_out_tready  : std_logic := '1';


begin
  FileInput_v1_0_i : FileInput_v1_0
  generic map (
    C_FILE_OUT_TDATA_WIDTH => C_FILE_OUT_TDATA_WIDTH,
    C_FILE_OUT_START_COUNT => C_FILE_OUT_START_COUNT
  )
  port map (
    file_out_aclk    => file_out_aclk,
    file_out_aresetn => file_out_aresetn,
    file_out_tvalid  => file_out_tvalid,
    file_out_tdata   => file_out_tdata,
    file_out_tstrb   => file_out_tstrb,
    file_out_tlast   => file_out_tlast,
    file_out_tready  => file_out_tready
  );

  file_out_aclk <= not file_out_aclk after 10 ns;
  file_out_aresetn <= '1' after 300 ns;
end Behavioral;
