-- (c) Copyright 1995-2018 Xilinx, Inc. All rights reserved.
-- 
-- This file contains confidential and proprietary information
-- of Xilinx, Inc. and is protected under U.S. and
-- international copyright and other intellectual property
-- laws.
-- 
-- DISCLAIMER
-- This disclaimer is not a license and does not grant any
-- rights to the materials distributed herewith. Except as
-- otherwise provided in a valid license issued to you by
-- Xilinx, and to the maximum extent permitted by applicable
-- law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
-- WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
-- AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
-- BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
-- INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
-- (2) Xilinx shall not be liable (whether in contract or tort,
-- including negligence, or under any other theory of
-- liability) for any loss or damage of any kind or nature
-- related to, arising under or in connection with these
-- materials, including for any direct, or any indirect,
-- special, incidental, or consequential loss or damage
-- (including loss of data, profits, goodwill, or any type of
-- loss or damage suffered as a result of any action brought
-- by a third party) even if such damage or loss was
-- reasonably foreseeable or Xilinx had been advised of the
-- possibility of the same.
-- 
-- CRITICAL APPLICATIONS
-- Xilinx products are not designed or intended to be fail-
-- safe, or for use in any application requiring fail-safe
-- performance, such as life-support or safety devices or
-- systems, Class III medical devices, nuclear facilities,
-- applications related to the deployment of airbags, or any
-- other applications that could lead to death, personal
-- injury, or severe property or environmental damage
-- (individually and collectively, "Critical
-- Applications"). Customer assumes the sole risk and
-- liability of any use of Xilinx products in Critical
-- Applications, subject only to applicable laws and
-- regulations governing limitations on product liability.
-- 
-- THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
-- PART OF THIS FILE AT ALL TIMES.
-- 
-- DO NOT MODIFY THIS FILE.

-- IP VLNV: optical.dcw.cz:opto:FileOutput:1.0
-- IP Revision: 3

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;

ENTITY FileOutput_0 IS
  PORT (
    data_in_tdata : IN STD_LOGIC_VECTOR(31 DOWNTO 0);
    data_in_tstrb : IN STD_LOGIC_VECTOR(3 DOWNTO 0);
    data_in_tlast : IN STD_LOGIC;
    data_in_tvalid : IN STD_LOGIC;
    data_in_tready : OUT STD_LOGIC;
    data_in_aclk : IN STD_LOGIC;
    data_in_aresetn : IN STD_LOGIC
  );
END FileOutput_0;

ARCHITECTURE FileOutput_0_arch OF FileOutput_0 IS
  ATTRIBUTE DowngradeIPIdentifiedWarnings : STRING;
  ATTRIBUTE DowngradeIPIdentifiedWarnings OF FileOutput_0_arch: ARCHITECTURE IS "yes";
  COMPONENT FileOutput_v1_0 IS
    GENERIC (
      C_DATA_IN_TDATA_WIDTH : INTEGER; -- AXI4Stream sink: Data Width
      OUT_FILE : STRING
    );
    PORT (
      data_in_tdata : IN STD_LOGIC_VECTOR(31 DOWNTO 0);
      data_in_tstrb : IN STD_LOGIC_VECTOR(3 DOWNTO 0);
      data_in_tlast : IN STD_LOGIC;
      data_in_tvalid : IN STD_LOGIC;
      data_in_tready : OUT STD_LOGIC;
      data_in_aclk : IN STD_LOGIC;
      data_in_aresetn : IN STD_LOGIC
    );
  END COMPONENT FileOutput_v1_0;
  ATTRIBUTE X_CORE_INFO : STRING;
  ATTRIBUTE X_CORE_INFO OF FileOutput_0_arch: ARCHITECTURE IS "FileOutput_v1_0,Vivado 2017.2";
  ATTRIBUTE CHECK_LICENSE_TYPE : STRING;
  ATTRIBUTE CHECK_LICENSE_TYPE OF FileOutput_0_arch : ARCHITECTURE IS "FileOutput_0,FileOutput_v1_0,{}";
  ATTRIBUTE X_INTERFACE_INFO : STRING;
  ATTRIBUTE X_INTERFACE_INFO OF data_in_tdata: SIGNAL IS "xilinx.com:interface:axis:1.0 DATA_IN TDATA";
  ATTRIBUTE X_INTERFACE_INFO OF data_in_tstrb: SIGNAL IS "xilinx.com:interface:axis:1.0 DATA_IN TSTRB";
  ATTRIBUTE X_INTERFACE_INFO OF data_in_tlast: SIGNAL IS "xilinx.com:interface:axis:1.0 DATA_IN TLAST";
  ATTRIBUTE X_INTERFACE_INFO OF data_in_tvalid: SIGNAL IS "xilinx.com:interface:axis:1.0 DATA_IN TVALID";
  ATTRIBUTE X_INTERFACE_INFO OF data_in_tready: SIGNAL IS "xilinx.com:interface:axis:1.0 DATA_IN TREADY";
  ATTRIBUTE X_INTERFACE_INFO OF data_in_aclk: SIGNAL IS "xilinx.com:signal:clock:1.0 DATA_IN_CLK CLK, xilinx.com:signal:clock:1.0 data_in_aclk CLK";
  ATTRIBUTE X_INTERFACE_INFO OF data_in_aresetn: SIGNAL IS "xilinx.com:signal:reset:1.0 DATA_IN_RST RST, xilinx.com:signal:reset:1.0 data_in_aresetn RST";
BEGIN
  U0 : FileOutput_v1_0
    GENERIC MAP (
      C_DATA_IN_TDATA_WIDTH => 32,
      OUT_FILE => "/tmp/testout.bin"
    )
    PORT MAP (
      data_in_tdata => data_in_tdata,
      data_in_tstrb => data_in_tstrb,
      data_in_tlast => data_in_tlast,
      data_in_tvalid => data_in_tvalid,
      data_in_tready => data_in_tready,
      data_in_aclk => data_in_aclk,
      data_in_aresetn => data_in_aresetn
    );
END FileOutput_0_arch;
