-- (c) Copyright 1995-2018 Xilinx, Inc. All rights reserved.
-- 
-- This file contains confidential and proprietary information
-- of Xilinx, Inc. and is protected under U.S. and
-- international copyright and other intellectual property
-- laws.
-- 
-- DISCLAIMER
-- This disclaimer is not a license and does not grant any
-- rights to the materials distributed herewith. Except as
-- otherwise provided in a valid license issued to you by
-- Xilinx, and to the maximum extent permitted by applicable
-- law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
-- WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
-- AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
-- BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
-- INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
-- (2) Xilinx shall not be liable (whether in contract or tort,
-- including negligence, or under any other theory of
-- liability) for any loss or damage of any kind or nature
-- related to, arising under or in connection with these
-- materials, including for any direct, or any indirect,
-- special, incidental, or consequential loss or damage
-- (including loss of data, profits, goodwill, or any type of
-- loss or damage suffered as a result of any action brought
-- by a third party) even if such damage or loss was
-- reasonably foreseeable or Xilinx had been advised of the
-- possibility of the same.
-- 
-- CRITICAL APPLICATIONS
-- Xilinx products are not designed or intended to be fail-
-- safe, or for use in any application requiring fail-safe
-- performance, such as life-support or safety devices or
-- systems, Class III medical devices, nuclear facilities,
-- applications related to the deployment of airbags, or any
-- other applications that could lead to death, personal
-- injury, or severe property or environmental damage
-- (individually and collectively, "Critical
-- Applications"). Customer assumes the sole risk and
-- liability of any use of Xilinx products in Critical
-- Applications, subject only to applicable laws and
-- regulations governing limitations on product liability.
-- 
-- THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
-- PART OF THIS FILE AT ALL TIMES.
-- 
-- DO NOT MODIFY THIS FILE.

-- IP VLNV: optical.dcw.cz:opto:FileInput:1.0
-- IP Revision: 5

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;

ENTITY LZ4CoreTest_FileInput_0_0 IS
  PORT (
    file_out_tdata : OUT STD_LOGIC_VECTOR(31 DOWNTO 0);
    file_out_tstrb : OUT STD_LOGIC_VECTOR(3 DOWNTO 0);
    file_out_tlast : OUT STD_LOGIC;
    file_out_tvalid : OUT STD_LOGIC;
    file_out_tready : IN STD_LOGIC;
    file_out_aclk : IN STD_LOGIC;
    file_out_aresetn : IN STD_LOGIC
  );
END LZ4CoreTest_FileInput_0_0;

ARCHITECTURE LZ4CoreTest_FileInput_0_0_arch OF LZ4CoreTest_FileInput_0_0 IS
  ATTRIBUTE DowngradeIPIdentifiedWarnings : STRING;
  ATTRIBUTE DowngradeIPIdentifiedWarnings OF LZ4CoreTest_FileInput_0_0_arch: ARCHITECTURE IS "yes";
  COMPONENT FileInput_v1_0 IS
    GENERIC (
      C_FILE_OUT_TDATA_WIDTH : INTEGER; -- Width of S_AXIS address bus. The slave accepts the read and write addresses of width C_M_AXIS_TDATA_WIDTH.
      C_FILE_OUT_START_COUNT : INTEGER; -- Start count is the numeber of clock cycles the master will wait before initiating/issuing any transaction.
      IN_FILE : STRING;
      IN_MAX_FILE_SIZE : INTEGER
    );
    PORT (
      file_out_tdata : OUT STD_LOGIC_VECTOR(31 DOWNTO 0);
      file_out_tstrb : OUT STD_LOGIC_VECTOR(3 DOWNTO 0);
      file_out_tlast : OUT STD_LOGIC;
      file_out_tvalid : OUT STD_LOGIC;
      file_out_tready : IN STD_LOGIC;
      file_out_aclk : IN STD_LOGIC;
      file_out_aresetn : IN STD_LOGIC
    );
  END COMPONENT FileInput_v1_0;
  ATTRIBUTE X_CORE_INFO : STRING;
  ATTRIBUTE X_CORE_INFO OF LZ4CoreTest_FileInput_0_0_arch: ARCHITECTURE IS "FileInput_v1_0,Vivado 2017.2";
  ATTRIBUTE CHECK_LICENSE_TYPE : STRING;
  ATTRIBUTE CHECK_LICENSE_TYPE OF LZ4CoreTest_FileInput_0_0_arch : ARCHITECTURE IS "LZ4CoreTest_FileInput_0_0,FileInput_v1_0,{}";
  ATTRIBUTE X_INTERFACE_INFO : STRING;
  ATTRIBUTE X_INTERFACE_INFO OF file_out_tdata: SIGNAL IS "xilinx.com:interface:axis:1.0 FILE_OUT TDATA";
  ATTRIBUTE X_INTERFACE_INFO OF file_out_tstrb: SIGNAL IS "xilinx.com:interface:axis:1.0 FILE_OUT TSTRB";
  ATTRIBUTE X_INTERFACE_INFO OF file_out_tlast: SIGNAL IS "xilinx.com:interface:axis:1.0 FILE_OUT TLAST";
  ATTRIBUTE X_INTERFACE_INFO OF file_out_tvalid: SIGNAL IS "xilinx.com:interface:axis:1.0 FILE_OUT TVALID";
  ATTRIBUTE X_INTERFACE_INFO OF file_out_tready: SIGNAL IS "xilinx.com:interface:axis:1.0 FILE_OUT TREADY";
  ATTRIBUTE X_INTERFACE_INFO OF file_out_aclk: SIGNAL IS "xilinx.com:signal:clock:1.0 FILE_OUT_CLK CLK, xilinx.com:signal:clock:1.0 file_out_aclk CLK";
  ATTRIBUTE X_INTERFACE_INFO OF file_out_aresetn: SIGNAL IS "xilinx.com:signal:reset:1.0 FILE_OUT_RST RST, xilinx.com:signal:reset:1.0 file_out_aresetn RST";
BEGIN
  U0 : FileInput_v1_0
    GENERIC MAP (
      C_FILE_OUT_TDATA_WIDTH => 32,
      C_FILE_OUT_START_COUNT => 32,
      IN_FILE => "/tmp/test.bin",
      IN_MAX_FILE_SIZE => 100000
    )
    PORT MAP (
      file_out_tdata => file_out_tdata,
      file_out_tstrb => file_out_tstrb,
      file_out_tlast => file_out_tlast,
      file_out_tvalid => file_out_tvalid,
      file_out_tready => file_out_tready,
      file_out_aclk => file_out_aclk,
      file_out_aresetn => file_out_aresetn
    );
END LZ4CoreTest_FileInput_0_0_arch;
