----------------------------------------------------------------------------------
-- Company:
-- Engineer:
--
-- Create Date: 06/04/2018 12:01:53 PM
-- Design Name:
-- Module Name: LZ4CoreTest_Sim - Behavioral
-- Project Name:
-- Target Devices:
-- Tool Versions:
-- Description:
--
-- Dependencies:
--
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
--
----------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
use work.all;
use work.LZ4CompressorLib.all;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity LZ4CoreTest_Sim is
--  Port ( );
end LZ4CoreTest_Sim;

architecture Behavioral of LZ4CoreTest_Sim is
  component LZ4CoreTest_wrapper
  port (
    clock_rtl   : in  STD_LOGIC;
    reset_rtl   : in  STD_LOGIC;
    reset_rtl_0 : in  STD_LOGIC
  );
  end component LZ4CoreTest_wrapper;

  signal clock_rtl   : STD_LOGIC := '0';
  signal reset_rtl   : STD_LOGIC := '1';
  signal reset_rtl_0 : STD_LOGIC := '0';
begin
  LZ4CoreTest_wrapper_i : LZ4CoreTest_wrapper
  port map (
    clock_rtl   => clock_rtl,
    reset_rtl   => reset_rtl,
    reset_rtl_0 => reset_rtl_0
  );
  
  clock_rtl <= not clock_rtl after 3.2 ns;
  reset_rtl <= '0' after 200 ns;
  reset_rtl_0 <= '1' after 400 ns;

  HighestTest : process
    constant TEST_LEN : natural := 120;
    variable dataIn : std_logic_vector(TEST_LEN-1 downto 0) := (others => '0');
  begin
    for i in 0 to TEST_LEN-1 loop
      assert i = HighestOne(dataIn)  report "HighestOne Failed: " & integer'image(to_integer(unsigned(dataIn))) & " Output: " & integer'image( HighestOne(dataIn)) severity error;
      dataIn(i) := '1';
    end loop;
    assert TEST_LEN = HighestOne(dataIn) report "HighestOne Failed: " & integer'image(to_integer(unsigned(dataIn))) & " Output: " & integer'image( HighestOne(dataIn)) severity error;
    report "Highest One Ok";
    wait;
  end process; -- end HighestTest
end Behavioral;
