----------------------------------------------------------------------------------
-- Company:
-- Engineer:
--
-- Create Date: 11/16/2017 10:00:48 PM
-- Design Name:
-- Module Name: ShiftRegister - Behavioral
-- Project Name:
-- Target Devices:
-- Tool Versions:
-- Description:
--
-- Dependencies:
--
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
--
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity ShiftRegister is
    Generic(regDepth : natural := 6;
            dataWidth : natural := 32);
    Port ( clk : in STD_LOGIC;
           rst : in STD_LOGIC;
           ce : in STD_LOGIC;
           din : in STD_LOGIC_VECTOR (dataWidth-1 downto 0);
           dout : out STD_LOGIC_VECTOR (dataWidth-1 downto 0));
end ShiftRegister;

architecture Behavioral of ShiftRegister is
  type regMem   is array(regDepth-1 downto 0) of STD_LOGIC_VECTOR (dataWidth-1 downto 0);
  signal mem : regMem;
begin

dout <= mem(regDepth-1);

process(clk) begin
  if(rising_edge(clk)) then
    if(rst = '1') then
      mem <= (others => (others => '0'));
    elsif(ce = '1') then
      mem(0) <= din;
      for i in 1 to regDepth-1 loop
        mem(i) <= mem(i-1);
      end loop;
    end if;
  end if;
end process;

end Behavioral;
